﻿using System.Collections.Generic;

namespace UPVBPluginGraphics
{
    public class Color
    {
        public byte R { get; set; }
        public byte G { get; set; }
        public byte B { get; set; }
        public byte A { get; set; }
    }

    public class Definition
    {
        public string AspectName { get; set; }
        public string Condition { get; set; }
        public string LabelAttributeKey { get; set; }
        public bool LabelAttributeValueContains { get; set; } = false;
        public Color Color { get; set; }

        public double TextHeightFactor { get; set; } = 0.1;

        public int isRoutingItem = 0;

        public double MinimumSize;
    }

    public class Config
    {
        public List<Definition> Definitions { get; set; }
        public bool Debug { get; set; }
    }
}