﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversalPlantViewerBuilderPlugin.Version1;

namespace UPVBPluginGraphics
{
    public class ObjectToProcess
    {
        public Definition Definition { get; set; }

        public IElement Element { get; set; }

        public IList<IGraphicData> GraphicToSet { get; set; }

        public string LabelAttributeValue { get; set; }
        public ObjectToProcess(IElement element, Definition def, string labelAttributeValue)
        {
            this.Element = element;
            this.Definition = def;
            this.GraphicToSet = null;
            this.LabelAttributeValue = labelAttributeValue;
        }
    }
}
